# Sublime Text 3

Docker for Sublime Text 3

### Experimental - not working

## Pre-requisites

##### Mac

https://blogs.oracle.com/oraclewebcentersuite/running-gui-applications-on-native-docker-containers-for-mac


On mac you should follow this tutorial to instal quarz.
https://sourabhbajaj.com/blog/2017/02/07/gui-applications-docker-mac/ 
https://cntnr.io/running-guis-with-docker-on-mac-os-x-a14df6a76efc
https://medium.com/@mreichelt/how-to-show-x11-windows-within-docker-on-mac-50759f4b65cb

ifconfig en0 | grep inet | awk '$1=="inet" {print $2}'
$DISPLAY=


docker run -it \
    -v /tmp/.X11-unix:/tmp/.X11-unix \ # mount the X11 socket
    -e DISPLAY=unix192.168.0.101:0 \ # pass the display
    --device /dev/snd \ # sound
    --name spotify \
    jess/spotify